curl --request POST \
--url https://api.lightsage.com/v2/prompts/runs \
--header 'Content-Type: application/json' \
--header 'X-Lightsage-Api-Key: <api-key>' \
--data '
{
"prompt_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}
'{
"id": "<string>",
"job_id": "<string>",
"type": "prompts",
"source_type": "prompts",
"status": "pending",
"stage": "<string>",
"dispatch_id": "<string>",
"progress": {
"total": 0,
"queued": 0,
"running": 0,
"completed": 0,
"failed": 0,
"cancelled": 0,
"retrying": 0,
"interrupted": 0,
"percent": 0
},
"estimated_cost": 123,
"eval_count": 123,
"model_count": 123,
"error": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}{
"detail": "No configured prompt targets were found for this organization. Configure prompt targets first."
}{
"detail": {
"error": "Insufficient credits",
"required": 123,
"balance": 123
}
}{
"detail": "Your current plan does not include: cursor"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Background queue is not available"
}Run Prompts
Queue saved prompts using the organization’s configured targets.
Provide prompt_ids to run selected prompts, or omit them to run all active
prompts. Saved prompt run settings apply to coding-agent targets. The
response returns a run ID to poll with
GET /v2/prompts/runs/{run_id}/status.
curl --request POST \
--url https://api.lightsage.com/v2/prompts/runs \
--header 'Content-Type: application/json' \
--header 'X-Lightsage-Api-Key: <api-key>' \
--data '
{
"prompt_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}
'{
"id": "<string>",
"job_id": "<string>",
"type": "prompts",
"source_type": "prompts",
"status": "pending",
"stage": "<string>",
"dispatch_id": "<string>",
"progress": {
"total": 0,
"queued": 0,
"running": 0,
"completed": 0,
"failed": 0,
"cancelled": 0,
"retrying": 0,
"interrupted": 0,
"percent": 0
},
"estimated_cost": 123,
"eval_count": 123,
"model_count": 123,
"error": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}{
"detail": "No configured prompt targets were found for this organization. Configure prompt targets first."
}{
"detail": {
"error": "Insufficient credits",
"required": 123,
"balance": 123
}
}{
"detail": "Your current plan does not include: cursor"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Background queue is not available"
}Authorizations
Body
Response
Successful Response
Run ID to poll with GET /v2/prompts/runs/{run_id}/status.
Parent job ID. It currently matches id.
"prompts""prompts"Terminal values: completed, failed, and cancelled. Recoverable interruptions are reported as running with stage retrying.
pending, running, summarizing, completed, failed, cancelled, interrupted Current lifecycle stage, including retrying while interrupted child jobs wait to be reclaimed.
Show child attributes
Show child attributes
The estimated credit cost for prompt jobs or estimated USD cost for API Performance jobs. Null when no estimate is available.
Can be set while status is still summarizing; use status to detect completion.